m+temp;
/home/alsdias/work/dev/devdb/unified_databases/domains/geo/pt_br/cep_bd_sql/cep_pg/cep_pg_sql/cep_pg_XXX.sql
-- coding: UTF-8
-- memo temporary template: m+temp from:
--     /home/alsdias/work/dev/devdb/unified_databases/domains/geo/pt_BR/cep_bd_sql/cep_pg/cep_pg_sql/create_table_pg_public.geo_cep_xxx.sql
-- @MEMO: @@headersqlpg;<database;
-- last update: 08/14/2011 07:03:22 AM
-- target: postgresql's SQL header containg handy commands for geo_cep_xxx
-- alsdias@yahoo.com.br # 08/14/2011 07:03:40 AM
-- /home/alsdias/work/dev/devdb/unified_databases/domains/geo/pt_br/cep_bd_sql/cep_pg/cep_pg_sql/cep_pg_XXX.sql
-- TO RUN THE SCRIPT:
-- Copy to postgres dir:
-- exec;chmod 777 -R /var/lib/postgresql/testone
-- exec;cp /home/alsdias/work/dev/devdb/unified_databases/domains/geo/pt_br/cep_bd_sql/cep_pg/cep_pg_sql/cep_pg_XXX.sql /var/lib/postgresql/testone/cep_pg_XXX.sql
-- Execute the script
-- psql
-- \c testone
-- \i testone/cep_pg_XXX.sql
--
-- TO CLEAN:
-- exec;rm /var/lib/postgresql/testone/cep_pg_XXX.sql
-- -- LOG
-- -- If used 
-- --\o log.log
-- --check:
-- --/var/lib/postgresql/testone/log.log
-- -- CONVERSION PROCEDURE - MYSQL TO POSTGRESQL:
-- --use dbschema
-- 

CREATE TABLE public.geo_cep_XXX ( 
	geo_cep_id int4 NOT NULL,
	city varchar( 100 ) NOT NULL,
	place varchar( 200 ) NOT NULL,
	neighborhood varchar( 100 ) NOT NULL,
	code varchar( 9 ) NOT NULL,
	place_type varchar( 30 ) NOT NULL,
CONSTRAINT pk_geo_cep_XXX PRIMARY KEY ( geo_cep_id )
 );

COMMENT ON COLUMN public.geo_cep_XXX.city IS 'pt_BR = localidade';

COMMENT ON COLUMN public.geo_cep_XXX.place IS 'full name of Street, Square, etc., pt_BR = logradouron';

COMMENT ON COLUMN public.geo_cep_XXX.neighborhood IS 'pt_BR = bairro';

COMMENT ON COLUMN public.geo_cep_XXX.code IS 'pt_BR = cep';

COMMENT ON COLUMN public.geo_cep_XXX.place_type IS 'Street, Square, Garden, etc.';


@@sqlm2pl2d;<;
public.geo_cep_XXX
